[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
RE: [pdt-dev] Re: [PROMOTE:FAILED:9] PDT HEAD Build 2.1.0 / N200902071407 promoted to download.eclipse.org [15:00]

Hi Nick,

As I understand Michael managed building the M5 package:
(http://www.eclipse.org/pdt/downloads/?showAll=1&hlbuild=S200902090410&p
roject=#S200902090410)

Thank for this information,
Roy

-----Original Message-----
From: pdt-dev-bounces@xxxxxxxxxxx [mailto:pdt-dev-bounces@xxxxxxxxxxx]
On Behalf Of Nick Boldt
Sent: Tuesday, February 10, 2009 12:43 AM
To: PDT Developers
Subject: [pdt-dev] Re: [PROMOTE:FAILED:9] PDT HEAD Build 2.1.0 /
N200902071407 promoted to download.eclipse.org [15:00]

I think these N builds are failing due to the recent changes to include 
icu4j 4.0.

Can someone have a look at changing PDT to adopt the new icu4j so that 
the builds will work again? Tomorrow is Galileo M5+3, and I suspect this

is a blocker for your getting things done on time. :)

if you're wondering how I deduced this, here's the steps to reading 
failed build tea leaves:

1. Check promote log:

http://modeling.eclipse.org/promo_logs/
http://modeling.eclipse.org/promo_logs/promo_log_pdt_2.1.0.N200902071407
_2009-02-09-15.00.02_cron.txt

"No zips found to unpack."

3. Check build folder - no zips created.

http://modeling.eclipse.org/pdt/downloads/drops/2.1.0/N200902071407/
   or
fish://modeling.eclipse.org/home/www-data/build/pdt/downloads/drops/2.1.
0/N200902071407/

4. Check build log - last 50 lines show missing plugins. Scrolling up, 
we see:

[eclipse.buildScript]   Missing required plug-in
com.ibm.icu_[3.8.1,4.0.0).

You might also want to try building with newer (x.y.0M5) versions of the

dependencies.

Cheers,

-- 
Nick Boldt :: http://wiki.eclipse.org/User:Nickb
Release Engineer :: Eclipse Modeling & Dash CBI
_______________________________________________
pdt-dev mailing list
pdt-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/pdt-dev